GDB (xrefs)

Public Member Functions | List of all members
gdb.function.caller_is.AnyCallerMatches Class Reference
Inheritance diagram for gdb.function.caller_is.AnyCallerMatches:

## Public Member Functions
def | __init__ (self)
def | invoke (self, name, nframes=1)
def | __init__ (self)
def | invoke (self, name, nframes=1)

## Detailed Description

    Compare all calling function's names with a regexp.

    Usage:
      $_any_caller_matches(regex [, number_of_frames])

    Arguments:

      regex: The regular expression to compare the function's name with.

      number_of_frames: How many stack frames to traverse back from the currently
    selected frame to compare with.  If the value is greater than the depth of
    the stack from that point then the result is False.
    The default is 1.

    Returns:
      True if any function's name matches regex.

Definition at line 121 of file caller_is.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.function.caller_is.AnyCallerMatches.__init__ | ( |  | self | ) |

Definition at line 140 of file caller_is.py.

Referenced by gdb.function.caller_is.AnyCallerMatches.__init__().

## ◆ __init__() [2/2]

def gdb.function.caller_is.AnyCallerMatches.__init__ | ( |  | self | ) |

Definition at line 140 of file caller_is.py.

References gdb.function.caller_is.AnyCallerMatches.__init__().

## Member Function Documentation

## ◆ invoke() [1/2]

def gdb.function.caller_is.AnyCallerMatches.invoke | ( |  | self,
|  |  | name,
|  |  | nframes = `1`
| ) |  |

Definition at line 143 of file caller_is.py.

Referenced by gdb.function.caller_is.AnyCallerMatches.invoke().

## ◆ invoke() [2/2]

def gdb.function.caller_is.AnyCallerMatches.invoke | ( |  | self,
|  |  | name,
|  |  | nframes = `1`
| ) |  |

Definition at line 143 of file caller_is.py.

References gdb.function.caller_is.AnyCallerMatches.invoke().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/function/caller_is.py